%define module_name Tree-VP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(List/Priority.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Test/More.pm) perl(Tree/DAG_Node.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Vantage-Point Tree builder and searcher.
Group: Development/Perl
License: mit
URL: https://github.com/gugod/Tree-VP

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GU/GUGOD/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A spellchecker.

    my @words = read_file("/usr/share/dict/words", { chomp => 1, binmode => ":utf8" });
    my $vptree = Tree::VP->new( distance => \&Text::Levenshtein::XS::distance );
    $vptree->build(\@words);

    my $r = $vptree->search(query => "amstedam", size => 5);
    say "suggestion: " . join " ", map { $_ . " (" . distance($_, $q) . ")" } @{$r->{values}};



%prep
%setup -q -n %{module_name}-%{version}
#sed -i -e '/^use .*::/ano strict "subs";' Makefile.PL

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md examples
%perl_vendor_privlib/T*

%changelog
* Fri Dec 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Fri May 22 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

